WebCab Options and Futures Demo v2.5 (J2SE Edition)

## webcab.lib.finance.options
Class PutCallParityDemoException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--webcab.lib.finance.options.PutCallParityDemoException

All Implemented Interfaces:
  Serializable

public class PutCallParityDemoException
extends Exception

This exception is thrown by the demo version of the PutCallParity class after the number of maximum method calls has been reached. In case you catch this exception and wish to resume working with the PutCallParity class, you will be required to restart the current instance of the running JVM (Java Virtual Machine).

See Also:
  Serialized Form

Constructor Summary
`PutCallParityDemoException()`
`PutCallParityDemoException(Exception e)`
`PutCallParityDemoException(String msg)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PutCallParityDemoException

    public PutCallParityDemoException()

### PutCallParityDemoException

    public PutCallParityDemoException(String msg)

### PutCallParityDemoException

    public PutCallParityDemoException(Exception e)

WebCab Options and Futures Demo v2.5 (J2SE Edition)